Bug 1833077 (CVE-2020-10738) - CVE-2020-10738 moodle: remote code execution possible via SCORM packages (MSA-20-0006)
Summary: CVE-2020-10738 moodle: remote code execution possible via SCORM packages (MSA...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2020-10738
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1837583 1837582
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-07 18:35 UTC by Guilherme de Almeida Suckevicz
Modified: 2020-12-07 20:42 UTC (History)
4 users (show)

Fixed In Version: moodle 3.8.3, moodle 3.7.6, moodle 3.6.10, moodle 3.5.12
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in moodle. It was possible to create a SCORM package in such a way that when added to a course, it could be interacted with via web services in order to achieve remote code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2020-05-19 21:15:23 UTC
Embargoed:


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-05-07 18:35:39 UTC
A flaw was found in Moodle versions 3.8 to 3.8.2, 3.7 to 3.7.5, 3.6 to 3.6.9, 3.5 to 3.5.11 and earlier unsupported versions. It was possible to create a SCORM package in such a way that when added to a course, it could be interacted with via web services in order to achieve remote code execution.

Reference:
https://moodle.org/mod/forum/discuss.php?d=403513

Upstream commit:
http://git.moodle.org/gw?p=moodle.git&a=search&h=HEAD&st=commit&s=MDL-68410

Comment 2 Guilherme de Almeida Suckevicz 2020-05-19 17:15:40 UTC
Created moodle tracking bugs for this issue:

Affects: epel-all [bug 1837583]
Affects: fedora-all [bug 1837582]

Comment 3 Product Security DevOps Team 2020-05-19 21:15:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.